"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flatten = exports.pick = exports.warn = exports.info = void 0;
function info(options) {
    return function (...message) {
        (options.logger || console.log)(message);
    };
}
exports.info = info;
function warn(options) {
    return function (...message) {
        (options.warnlogger || options.logger || console.warn)(message);
    };
}
exports.warn = warn;
function pick(p, keys) {
    const result = {};
    keys.forEach((k) => {
        if (k in p) {
            result[k] = p[k];
        }
    });
    return result;
}
exports.pick = pick;
function flatten(e) {
    return e.reduce((x, y) => x.concat(y), []);
}
exports.flatten = flatten;
